function addClassToBlock(addedClass, targetBlock, objectFlag) {
    'use strict';
    if (objectFlag === true) {
        $(targetBlock).addClass(addedClass);
    } else {
        targetBlock.addClass(addedClass);
    }
}

function removeClassFromBlock(removedClass, targetBlock, objectFlag) {
    'use strict';
    if (objectFlag === true) {
        $(targetBlock).removeClass(removedClass);
    } else {
        targetBlock.removeClass(removedClass);
    }
}

function navSizeHandler() {
    'use strict';
    var wHeight = $(window).height();
    if (wHeight <= 745) {
        addClassToBlock('nav-minimized', 'body', true);
    } else {
        removeClassFromBlock('nav-minimized', 'body', true);
    }
}

function navHideExploreLink() {
    'use strict';
    removeClassFromBlock('nav__explore_active', '.nav__explore', true);
}
function navHideSubMenu() {
    'use strict';
    navHideExploreLink();
    removeClassFromBlock('nav__inner_open', '.nav-minimized ul', true);
}
function navShowSubMenu(self) {
    'use strict';
    var navSubMenu = self.closest('li').find('.js-nav__inner');
    navHideSubMenu();
    addClassToBlock('nav__inner_open', navSubMenu, false);
}
function navShowExploreLink(self) {
    'use strict';
    var linkExplore = self.find('.js-nav__explore');
    navHideExploreLink();
    addClassToBlock('nav__explore_active', linkExplore, false);
}

$(document).ready(function () {
    'use strict';
    $(window).on('resize', function () {
        navSizeHandler();
    }).trigger('resize');

    $(document).on({
        mouseenter: function () {
            addClassToBlock('nav-expanded', 'body', true);
        },
        mouseleave: function () {
            removeClassFromBlock('nav-expanded', 'body', true);
            navHideSubMenu();
        }
    }, '.js-nav');
    $('.js-nav__toggle').on('click', function (e) {
        e.preventDefault();
        removeClassFromBlock('nav-expanded', 'body', true);
        navHideSubMenu();
    });
    $('.nav-minimized .js-nav__link').on('click', function (e) {
        e.preventDefault();
        var self = $(this);
        navShowSubMenu(self);
        navShowExploreLink(self);
    });
//    $('.js-nav__explore').on('click', function () {
//        window.location.href = $(this).data('href');
 //   });
    $('.js-nav-mobile__activate').on('click', function(e) {
        e.preventDefault();
        $('.js-nav-mobile__extended').show();
        $('.js-nav-mobile').addClass('nav-mobile__full');
    });
    $('.js-nav-mobile__deactivate').on('click', function(e) {
        e.preventDefault();
        $('.js-nav-mobile__extended').hide();
        $('.js-nav-mobile__ul_inner').hide();
        $('.js-nav-mobile').removeClass('nav-mobile__full');
    });
    $('.mainframe').on('touchstart', function(e) {
        $('.js-nav-mobile__extended').hide();
        $('.js-nav-mobile__ul_inner').hide();
        $('.js-nav-mobile').removeClass('nav-mobile__full');
    });
    $('.js-nav-mobile__li').on('click', function(e) {
        $('.js-nav-mobile__ul_inner').hide();
        $(this).find('.js-nav-mobile__ul_inner').show();
    });
    $(document).on('click','.ios-download, .android-download, .btn-dingding', function(){
        // console.log($(this).find('.ercode'));
        $(this).find('.ercode').fadeIn();
    }).on('mouseleave', '.ios-download, .android-download, .btn-dingding', function(){
        $(this).find('.ercode').fadeOut();
    }).on('click', '.faq-item>a', function(){
        $(this).find('.arrow').toggleClass('arrow-rotate');
        if($(this).siblings().data('show')){
            $(this).siblings().data('show', false);
            $(this).siblings().fadeOut();
        }else{
            $(this).siblings().data('show', true);
            $(this).siblings().fadeIn();
        }
    })
})
